import {
  POSTMODEL,
  GETMODEL
} from '../utils/reqHelper';
const url = require("./url.js");
const reqInterface = {};
const Base64 = require("../utils/base64");
import {getApi} from '../utils/dataHelper'


reqInterface.Login = POSTMODEL(url.BladeAuthToken); // 获取认证Token
reqInterface.GetBladeSystemDictDictionary = GETMODEL(url.BladeSystemDictDictionary); // 字典
reqInterface.PostConsumerinfoSubmit = POSTMODEL(url.ConsumerinfoSubmit); // 新增
reqInterface.GetGuide = GETMODEL(url.Guide); // 办事指南
reqInterface.GetConsumerinfopublicList = GETMODEL(url.ConsumerinfopublicList); // 公示列表
reqInterface.GetConsumerinfopublicDetail = GETMODEL(url.ConsumerinfopublicDetail); // 获取公示详情数据
reqInterface.GetConsumerinfoDetail = GETMODEL(url.ConsumerinfoDetail); // 申请资料详情
reqInterface.GetConsumerinfoCheckDetail = GETMODEL(url.ConsumerinfoCheckDetail); // 申请资料审核详情
reqInterface.PostConsumerinfoUpdate = POSTMODEL(url.ConsumerinfoUpdate); // 头像昵称
reqInterface.POSTConsumerinfoQuery = POSTMODEL(url.ConsumerinfoQuery); // 申请资料审核详情
reqInterface.GetQuotaGet = GETMODEL(url.QuotaGet); // 申请资料审核详情


reqInterface.PostImageUpload = function (uploadFile) {
    const CLIENTID = 'miniapp'
    const CLIENTSECRET = 'miniapp_secret'
    return new Promise((resolve, reject) => {
      wx.uploadFile({
        url: getApi() + url.ConsumerinfoUpload,
        header: {
          'Authorization': `Basic ${Base64.Base64.encode(`${CLIENTID}:${CLIENTSECRET}`)}`,
          'Blade-Auth': `bearer ${wx.getStorageSync('token')}`
        },
        filePath: uploadFile,
        name: 'file',
        success(res) {
          resolve(JSON.parse(res.data));
        },
        fail(err) {
          wx.showToast({
            title: "上传错误",
            icon: "none",
          });
          reject(err);
        }
      })
    })
  },

  module.exports = reqInterface;