// components/form/form-input/form-input.js
Component({
  properties: {
    label: String,
    value: String,
    type: String,
    rows: {
      type: Number,
      value: 2
    },
    activeMode: {
      type: Boolean,
      value: false
    },
  },

  observers: {
    'label': function (val) {
      let self = this;
      self.setData({
        placeholder: '请输入' + val
      })
    },
    'value': function (val) {
      let self = this;
      if(val) {
        self.setData({
          inputValue: val
        })
      }
    },
  },

 lifetimes: {
    attached: function () {
    },
  },
 
  data: {
    styleCss: 'padding: 38rpx 0; line-height: 36rpx font-size: 28rpx',
    inputValue: '',

    placeholder: '请输入',
  },

  methods: {
    blurValue(e) {
      let self = this;
      self.triggerEvent('getvalue', {val: e.detail.value})
    },

    inputValue(e) {
      let self = this;
      self.triggerEvent('getinput', {val: e.detail.value})
    }
  }
})