import {
  toLink
} from '../../../utils/nav';
import {imagePrefix} from '../../../utils/dataHelper'
const reqInterface = require("../../../api/models");
import {
  ImageUrl
} from '../../../utils/imageHelper';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ImageObj: ImageUrl,
    logined: false,
    wxInfo: null,
    getNickName: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    let self = this;
    
    let token = wx.getStorageSync('token') ? wx.getStorageSync('token') : ''
    if (token) {
      self.setData({
        logined: true
      })
      self.getWxInfo()
    } else {
      self.setData({
        logined: false
      })
    }
  },

  getWxInfo() {
    reqInterface.POSTConsumerinfoQuery().then(res => {
      this.setData({
        'wxInfo.avatar': res.avatar ? imagePrefix() + res.avatar : imagePrefix() + wx.getStorageSync('avatar'),
        'wxInfo.userName': res.nickName ? res.nickName :  wx.getStorageSync('userName')
      })
    })
  },

  nicknameValue(e) {
    let self = this;
    self.data.getNickName.push(e.detail.value)
    self.setData({
      getNickName: self.data.getNickName
    })
    if (self.data.getNickName.length >= 2) {
      reqInterface.PostConsumerinfoUpdate({
        nickName: self.data.getNickName[self.data.getNickName.length - 1],
        avatar: wx.getStorageSync('avatar') ? wx.getStorageSync('avatar') : ''
      }).then(res => {
        self.setData({
          'wxInfo.userName': self.data.getNickName[self.data.getNickName.length - 1],
          getNickName: []
        })
        wx.setStorageSync('userName', self.data.wxInfo.userName);
      })

    }
  },

  onChooseAvatar(e) {
    let self = this;
    reqInterface.PostImageUpload(e.detail.avatarUrl).then(res => {
      wx.setStorageSync('avatar', res.data.path);
      reqInterface.PostConsumerinfoUpdate({
        nickName: self.data.wxInfo ? self.data.wxInfo.userName : '',
        avatar: res.data.path
      }).then(res => {
        self.setData({
          'wxInfo.avatar': e.detail.avatarUrl,
        })
      })
    })
  },

  toLogin() {
    toLink('/pages/login/index/index')
  },

  toSetting() {
    toLink('/pages/setting/index/index')
  },

  toSchedule() {
    toLink('/pages/my/schedule/index')
  },

  toApply() {
    if (wx.getStorageSync('token')) {
      wx.navigateTo({
        url: '/pages/home/guide/detail/index',
      })
    } else {
      wx.showToast({
        title: '请先登录',
        icon: 'none'
      })
    }
  },

  imageError(e) {
    this.setData({
      'wxInfo.avatar': this.data.ImageObj.unLogin,
    })
  },
})