let toolHelper = {};

function isType(type) {
  return function(obj) {
    return Object.prototype.toString.call(obj) === "[object " + type + "]";
  };
}
toolHelper.isObject = obj => {
  return isType("Object")(obj);
};

toolHelper.isString = obj => {
  return isType("String")(obj);
};

toolHelper.isNumber = obj => {
  return isType("Number")(obj);
};

toolHelper.isBoolean = obj => {
  return isType("Boolean")(obj);
};

toolHelper.isArray = obj => {
  return isType("Array")(obj);
};

toolHelper.isFunction = obj => {
  return isType("Function")(obj);
};

toolHelper.isUndefined = obj => {
  return isType("Undefined")(obj);
};

toolHelper.jsonStringify = function(obj) {
  try {
    return JSON.stringify(obj);
  } catch (e) {
    return '';
  }
};

toolHelper.jsonParse = function(obj) {
  try {
    return JSON.parse(obj);
  } catch (e) {
    return null;
  }
};


module.exports = toolHelper;
